using System;

namespace Kvalifikacije_2
{
    class Ekskurzija
    {
        static void Main()
        {
            //Korak 1 - ucitavamo broj T

            int t = int.Parse(Console.ReadLine());

            //Korak 2 - za svako t ucitavamo broj ucenika n, broj bananica b, i broj grupa g zatim pitamo da li je broj (n+1-g)(n+2-g)/2 + g - 1 > b i ako jeste ispisujemo 'nie' a ako nije ispisujemo 'tak'

            for (int i = 0; i < t; i++) {
                string[] unos = Console.ReadLine().Split();
                long n = int.Parse(unos[0]);
                long b = int.Parse(unos[1]);
                long g = int.Parse(unos[2]);

                long x = (n + 1 - g)*(n + 2 - g) / 2;
                if (x + g - 1 > b) {
                    Console.WriteLine("Nie");
                }
                else {
                    Console.WriteLine("Tak");
                }
            }

            //Objasnjenje

            //Najefikasniji nacin za podelu po grupama jeste da napravimo n - g - 1 grupa od po 1 clan i jednu grupu od ostatka odnosno n - g + 1 clan 
            //Kako bismo u zadnjoj grupi imali dovoljan broj bananica da svakom damo razlicit celi broj bananica moramo imati 1 +...+ n-g+1 bananica 
            //Ova suma se dobija formulom (n + 1 - g)*(n + 2 - g) / 2 koju stavljamo u x i kako bi imalo dovoljno bananica da niko ne dobije 0 moramo ovaj broj sabrati sa g - 1 i ako je tako dobijen broj veci od trazenog broja bananica pisemo tak u suprotnom pisemo nie 
        }
    }
}